Subject: bug#44441: closed (Re: bug#44441: PATCH: Wrong command name in windows.texi)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Nov 2020 09:00:03 +0000

Your bug report

#44441: PATCH: Wrong command name in windows.texi

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44441: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44441
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44441: PATCH: Wrong command name in windows.texi
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 07 Nov 2020 10:59:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 04 Nov 2020 13:42:51 +0000
> From: ej32u--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> For swapping windows, the file "windows.texi" names the command 
> `windmove-swap-states-in-direction', but describes 
> `windmove-swap-states-default-keybindings'.
> 
> I changed the named command to 
> `windmove-swap-states-default-keybindings', to match other named 
> commands (e.g., `windmove-display-default-keybindings').
> 
> Thank you.

Thanks, I pushed this.

In the future, please don't submit changes for ChangeLog files: they
are generated from Git log.  Instead, please include with the patches
a ChangeLog-style commit log message, as described in CONTRIBUTE.

(Btw, in this case the mistaken name was also in a @findex entry; I
fixed that as well.)

Subject: PATCH: Wrong command name in windows.texi
From: [email-masked]
To: [email-masked]
Date: Wed, 04 Nov 2020 13:42:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

For swapping windows, the file "windows.texi" names the command 
`windmove-swap-states-in-direction', but describes 
`windmove-swap-states-default-keybindings'.

I changed the named command to 
`windmove-swap-states-default-keybindings', to match other named 
commands (e.g., `windmove-display-default-keybindings').

Thank you.
From e1ce1b242176048574be34a09a82867efc86b11b Mon Sep 17 00:00:00 2001
From: Earl <[email-masked]>
Date: Wed, 4 Nov 2020 07:26:06 -0500
Subject: [PATCH] windows.texi: Fix command name.

For swapping windows, the file names the command
`windmove-swap-states-in-direction', but describes
`windmove-swap-states-default-keybindings'.

Change named command to `windmove-swap-states-default-keybindings', to
match other named commands (e.g., `windmove-display-default-keybindings').
---
 ChangeLog.3            | 8 ++++++++
 doc/emacs/windows.texi | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/ChangeLog.3 b/ChangeLog.3
index 0f36310079..169a201eb5 100644
--- a/ChangeLog.3
+++ b/ChangeLog.3
@@ -1,3 +1,11 @@
+2020-11-04  Earl Hyatt  <[email-masked]>
+
+	* doc/emacs/windows.texi (Window Convenience): Fix description of
+	'windmove-swap-states-default-keybindings'.
+
+	The document describes 'windmove-swap-states-default-keybindings',
+	but referred to it as 'windmove-swap-states-in-direction'.
+
 2020-08-03  Phil Sainty  <[email-masked]>
 
 	lisp/so-long.el: Improve support for major mode hooks
diff --git a/doc/emacs/windows.texi b/doc/emacs/windows.texi
index bc1dcd7f41..b434dbf14b 100644
--- a/doc/emacs/windows.texi
+++ b/doc/emacs/windows.texi
@@ -603,7 +603,7 @@ Window Convenience
 window for the buffer that the next command is going to display.
 Also there is @w{@kbd{M-x windmove-delete-default-keybindings}} to
 define keybindings for commands that delete windows directionally, and
-@w{@kbd{M-x windmove-swap-states-in-direction}} that define
+@w{@kbd{M-x windmove-swap-states-default-keybindings}} that defines
 keybindings for commands that swap the window contents of the selected
 window with the window in the specified direction.
 
-- 
2.25.1